process BWA_MEM {
  tag "bwa mem"
  container 'quay.io/biocontainers/bwa:0.7.17--h84994c4_5'
  
  input:
    path reads
    val index_files

  output:
    path "${reads[0].simpleName.split('_')[0]}.R1R2.sam", emit: output_paired

  script:
  def read_groupId = "\$(echo ${reads.simpleName[0]} | cut -f 1 -d '_')"
  def read_groupParam = "@RG\\tID:${read_groupId}\\tSM:NA19206\\tPL:ILLUMINA\\tCN:CBRA\\tLB:Fragment"
  def read_groupArgument = params.read_group ? "-R $read_groupParam" : ""
  def threadsArgument = params.threads_bwa_mem ? "-t $params.threads_bwa_mem" : ""
  
  """
  bwa mem $threadsArgument $read_groupArgument $index_files $reads
  """       
}