outputDir = file(params.outputDir, type: 'dir')

process FASTQC {
  tag "fastqc"
  container 'quay.io/biocontainers/fastqc:0.11.8--1'

  publishDir "${outputDir}"

  input:
    path fastq1
    path fastq2
    val threads

  output:
    path "fastqc/**", emit: fastqc_directory

  script:
  def fastqcthreadsArgument = params.threads_fastqc ? "--threads ${threads}" : ''
  """
  mkdir fastqc
  fastqc -o 'fastqc' --noextract ${fastqcthreadsArgument} $fastq1 $fastq2
  """
}
