process GRIDSS {
  tag "gridss"
  container 'quay.io/biocontainers/gridss:2.9.3--0'

  input:
    path input
    path reference_genome
    path blacklist
  
  output:
    path "*.gridss.raw.vcf.gz", emit: output

  script:
  def assemblyFilenameArgument = params.assemblyFilename ? "--assembly $params.assemblyFilename" : ""
  def threadsArgument = params.threads_gridss = "--threads $params.threads_gridss" : ""
  """
  gridss --reference $reference_genome \\
         --output ${input.simpleName.split('.')[0]}.gridss.raw.vcf.gz \\
         $assemblyFilenameArgument \\
         $threadsArgument \\
         --jar /usr/local/share/gridss-2.9.3-0/gridss.jar \\
         --blacklist $blacklist \\
         $input
  """
}