process SAMTOOLS_MERGE {
  tag "samtools merge"
  container 'quay.io/biocontainers/samtools:1.5--2'

  input:
    path paired
    path unpaired_R1
    path unpaired_R2
    val threads

  output:
    path "${paired.simpleName}.sorted.bam", emit: output_samtools_merge
        
  script:
    """
    samtools merge -f --threads $threads ${paired.simpleName}.sorted.bam $paired $unpaired_R1 $unpaired_R2
    """
}